Bug 1316655 - Touchpad is very sensitive
Touchpad is very sensitive
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 11:58 EST by Arjon Bujupi
Modified: 2017-12-12 05:59 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:59:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arjon Bujupi 2016-03-10 11:58:15 EST
Description of problem:
Touchpad is very sensitive. Even if you lower it at max at settings, moving from a small distance is very fast and it's a little hard to click on small objects. 


Version-Release number of selected component (if applicable):
libinput-1.2.1-2.fc23.x86_64

How reproducible:
It happens all the time.

Steps to Reproduce:
It happens all the time.

Additional info:
More info here: https://ask.fedoraproject.org/en/question/84049/touchpad-very-sensitive/
Comment 1 Arjon Bujupi 2016-03-10 12:01:16 EST
My laptop: Asus x550cc
Comment 2 Peter Hutterer 2016-03-10 18:19:04 EST
I'll need the output of evemu-describe, touchpad-edge-detector and the physical dimensions of your touchpad please.
Comment 3 Arjon Bujupi 2016-03-11 05:13:24 EST
Where do i get the output? I simply must run them on terminal?
Comment 4 Arjon Bujupi 2016-03-11 07:23:50 EST
The output of evemu-describe:

[arjoni@asus ~]$ sudo evemu-describe
Available devices:
/dev/input/event0:	Lid Switch
/dev/input/event1:	Sleep Button
/dev/input/event2:	Power Button
/dev/input/event3:	AT Translated Set 2 keyboard
/dev/input/event4:	ETPS/2 Elantech Touchpad
/dev/input/event5:	Video Bus
/dev/input/event6:	Video Bus
/dev/input/event7:	Asus WMI hotkeys
/dev/input/event8:	HDA Intel PCH Headphone
/dev/input/event9:	HDA Intel PCH HDMI/DP,pcm=3
/dev/input/event10:	USB2.0 HD UVC WebCam
Select the device event number [0-10]: 4
# EVEMU 1.3
# Kernel: 4.4.3-300.fc23.x86_64
# DMI: dmi:bvnAmericanMegatrendsInc.:bvrX550CC.300:bd03/24/2014:svnASUSTeKCOMPUTERINC.:pnX550CC:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX550CC:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
# Input device name: "ETPS/2 Elantech Touchpad"
# Input device ID: bus 0x11 vendor 0x02 product 0x0e version 0000
# Supported events:
#   Event type 0 (EV_SYN)
#     Event code 0 (SYN_REPORT)
#     Event code 1 (SYN_CONFIG)
#     Event code 2 (SYN_MT_REPORT)
#     Event code 3 (SYN_DROPPED)
#     Event code 4 ((null))
#     Event code 5 ((null))
#     Event code 6 ((null))
#     Event code 7 ((null))
#     Event code 8 ((null))
#     Event code 9 ((null))
#     Event code 10 ((null))
#     Event code 11 ((null))
#     Event code 12 ((null))
#     Event code 13 ((null))
#     Event code 14 ((null))
#   Event type 1 (EV_KEY)
#     Event code 272 (BTN_LEFT)
#     Event code 325 (BTN_TOOL_FINGER)
#     Event code 330 (BTN_TOUCH)
#     Event code 333 (BTN_TOOL_DOUBLETAP)
#     Event code 334 (BTN_TOOL_TRIPLETAP)
#     Event code 335 (BTN_TOOL_QUADTAP)
#   Event type 3 (EV_ABS)
#     Event code 0 (ABS_X)
#       Value   1670
#       Min        0
#       Max     3249
#       Fuzz       0
#       Flat       0
#       Resolution 33
#     Event code 1 (ABS_Y)
#       Value   1078
#       Min        0
#       Max     2223
#       Fuzz       0
#       Flat       0
#       Resolution 33
#     Event code 24 (ABS_PRESSURE)
#       Value      0
#       Min        0
#       Max      255
#       Fuzz       0
#       Flat       0
#       Resolution 0
#     Event code 28 (ABS_TOOL_WIDTH)
#       Value      0
#       Min        0
#       Max       15
#       Fuzz       0
#       Flat       0
#       Resolution 0
#     Event code 47 (ABS_MT_SLOT)
#       Value      0
#       Min        0
#       Max        4
#       Fuzz       0
#       Flat       0
#       Resolution 0
#     Event code 48 (ABS_MT_TOUCH_MAJOR)
#       Value      0
#       Min        0
#       Max     2565
#       Fuzz       0
#       Flat       0
#       Resolution 0
#     Event code 53 (ABS_MT_POSITION_X)
#       Value      0
#       Min        0
#       Max     3249
#       Fuzz       0
#       Flat       0
#       Resolution 33
#     Event code 54 (ABS_MT_POSITION_Y)
#       Value      0
#       Min        0
#       Max     2223
#       Fuzz       0
#       Flat       0
#       Resolution 33
#     Event code 57 (ABS_MT_TRACKING_ID)
#       Value      0
#       Min        0
#       Max    65535
#       Fuzz       0
#       Flat       0
#       Resolution 0
#     Event code 58 (ABS_MT_PRESSURE)
#       Value      0
#       Min        0
#       Max      255
#       Fuzz       0
#       Flat       0
#       Resolution 0
# Properties:
#   Property  type 0 (INPUT_PROP_POINTER)
#   Property  type 2 (INPUT_PROP_BUTTONPAD)
N: ETPS/2 Elantech Touchpad
I: 0011 0002 000e 0000
P: 05 00 00 00 00 00 00 00
B: 00 0b 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 01 00 00 00 00 00
B: 01 20 e4 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 02 00 00 00 00 00 00 00 00
B: 03 03 00 00 11 00 80 61 06
B: 04 00 00 00 00 00 00 00 00
B: 05 00 00 00 00 00 00 00 00
B: 11 00 00 00 00 00 00 00 00
B: 12 00 00 00 00 00 00 00 00
B: 14 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
A: 00 0 3249 0 0 33
A: 01 0 2223 0 0 33
A: 18 0 255 0 0 0
A: 1c 0 15 0 0 0
A: 2f 0 4 0 0 0
A: 30 0 2565 0 0 0
A: 35 0 3249 0 0 33
A: 36 0 2223 0 0 33
A: 39 0 65535 0 0 0
A: 3a 0 255 0 0 0


The output of touchpad-edge-detector:

[arjoni@asus ~]$ sudo touchpad-edge-detector /dev/input/event4 
Touchpad ETPS/2 Elantech Touchpad on /dev/input/event4
Move one finger around the touchpad to detect the actual edges
Kernel says:	x [0..3249], y [0..2223]
Touchpad sends:	x [0..3249], y [0..2223] /^C-|-\

Touchpad size as listed by the kernel: 98x67mm
Calculate resolution as:
	x axis: 3249/<width in mm>
	y axis: 2223/<height in mm>

Suggested udev rule:
# <Laptop model description goes here>
evdev:name:ETPS/2 Elantech Touchpad:dmi:bvnAmericanMegatrendsInc.:bvrX550CC.300:bd03/24/2014:svnASUSTeKCOMPUTERINC.:pnX550CC:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX550CC:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:*
 EVDEV_ABS_00=0:3249:<x resolution>
 EVDEV_ABS_01=0:2223:<y resolution>
 EVDEV_ABS_35=0:3249:<x resolution>
 EVDEV_ABS_36=0:2223:<y resolution>


Physical dimensions of touchpad: 10.5 cm and 7.3 cm.


Could you fix this asap please? I have installed fedora on a production machine and i want to keep using it and not switch to another distro. Thank you. If you need more info, tell me.
Comment 5 Peter Hutterer 2016-03-13 20:07:09 EDT
try adding this file to your system:

$ cat /etc/udev/hwdb.d/99-touchpad-quirk.hwdb
evdev:name:ETPS/2 Elantech Touchpad:dmi:*:svnASUSTeKCOMPUTERINC.:pnX550CC:*
 EVDEV_ABS_00=::31
 EVDEV_ABS_01=::30
 EVDEV_ABS_35=::31
 EVDEV_ABS_36=::30

Note: no leading space before evdev, one leading space before EVDEV_...

run sudo udevadm hwdb --update, then reboot. The touchpad should now advertise resolutions of 31/30 units for x/y, respectively, check with evemu-describe. Let me know if that improves things.
Comment 6 Arjon Bujupi 2016-03-14 08:04:36 EDT
Unfortunately i moved to another distro because that problem made the OS unusable. Sorry! It would be great if you added it to the package because i might move back to fedora in a while. Thank you.
Comment 7 Peter Hutterer 2016-03-15 02:35:48 EDT
fwiw, that distro will face the same issue if we don't get this fixed, all distros are switching to libinput eventually.

the above hwdb file will work on any distro with systemd and should apply regardless. please try it, check that evemu-describe shows the correct resolution afterwards. I'll get that upstream then, this way at least all other users of that laptop get the benefit too.
Comment 8 Arjon Bujupi 2016-03-15 14:31:55 EDT
Can i do it on live cd? My current distro is arch and i don't have the time to reinstall fedora. Sorry if i am disappointing you.
Comment 9 Peter Hutterer 2016-03-15 16:46:34 EDT
arch uses systemd, right? so you can still put the hwdb file in place and check with evemu-describe whether the new x/y resolutions have been set (30 and 31, respectively). we won't know if it fixes the problem completely without, but at least historically it improves pointer motion.
Comment 10 Arjon Bujupi 2016-03-15 16:50:06 EDT
Okay, i didn't know i could do that in arch (i am not a very advanced user). So i create the file /etc/udev/hwdb.d/99-touchpad-quirk.hwdb (in my current setup it doesn't exist) and put the info you told me?
Comment 11 Peter Hutterer 2016-03-15 17:28:42 EDT
yes, those 5 lines as in comment #5, then run sudo udevadm hwdb --update and reboot. evemu-describe should now show resolutions of 30 and 31 if the match line is correct.
Comment 12 Arjon Bujupi 2016-03-15 17:38:31 EDT
Here is the output (i am on arch)

[arjoni@antergos ~]$ sudo evemu-describe
[sudo] password for arjoni: 
Available devices:
/dev/input/event0:	AT Translated Set 2 keyboard
/dev/input/event1:	Lid Switch
/dev/input/event2:	Sleep Button
/dev/input/event3:	Power Button
/dev/input/event4:	PC Speaker
/dev/input/event5:	ETPS/2 Elantech Touchpad
/dev/input/event6:	Video Bus
/dev/input/event7:	Video Bus
/dev/input/event8:	Asus WMI hotkeys
/dev/input/event9:	HDA Intel PCH Headphone
/dev/input/event10:	HDA Intel PCH HDMI/DP,pcm=3
/dev/input/event11:	USB2.0 HD UVC WebCam
Select the device event number [0-11]: 5
# EVEMU 1.3
# Kernel: 4.4.5-1-ARCH
# DMI: dmi:bvnAmericanMegatrendsInc.:bvrX550CC.300:bd03/24/2014:svnASUSTeKCOMPUTERINC.:pnX550CC:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX550CC:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
# Input device name: "ETPS/2 Elantech Touchpad"
# Input device ID: bus 0x11 vendor 0x02 product 0x0e version 0000
# Supported events:
#   Event type 0 (EV_SYN)
#     Event code 0 (SYN_REPORT)
#     Event code 1 (SYN_CONFIG)
#     Event code 2 (SYN_MT_REPORT)
#     Event code 3 (SYN_DROPPED)
#     Event code 4 ((null))
#     Event code 5 ((null))
#     Event code 6 ((null))
#     Event code 7 ((null))
#     Event code 8 ((null))
#     Event code 9 ((null))
#     Event code 10 ((null))
#     Event code 11 ((null))
#     Event code 12 ((null))
#     Event code 13 ((null))
#     Event code 14 ((null))
#   Event type 1 (EV_KEY)
#     Event code 272 (BTN_LEFT)
#     Event code 325 (BTN_TOOL_FINGER)
#     Event code 330 (BTN_TOUCH)
#     Event code 333 (BTN_TOOL_DOUBLETAP)
#     Event code 334 (BTN_TOOL_TRIPLETAP)
#     Event code 335 (BTN_TOOL_QUADTAP)
#   Event type 3 (EV_ABS)
#     Event code 0 (ABS_X)
#       Value   1859
#       Min        0
#       Max     3249
#       Fuzz       0
#       Flat       0
#       Resolution 31
#     Event code 1 (ABS_Y)
#       Value   1507
#       Min        0
#       Max     2223
#       Fuzz       0
#       Flat       0
#       Resolution 30
#     Event code 24 (ABS_PRESSURE)
#       Value      0
#       Min        0
#       Max      255
#       Fuzz       0
#       Flat       0
#       Resolution 0
#     Event code 28 (ABS_TOOL_WIDTH)
#       Value      0
#       Min        0
#       Max       15
#       Fuzz       0
#       Flat       0
#       Resolution 0
#     Event code 47 (ABS_MT_SLOT)
#       Value      0
#       Min        0
#       Max        4
#       Fuzz       0
#       Flat       0
#       Resolution 0
#     Event code 48 (ABS_MT_TOUCH_MAJOR)
#       Value      0
#       Min        0
#       Max     2565
#       Fuzz       0
#       Flat       0
#       Resolution 0
#     Event code 53 (ABS_MT_POSITION_X)
#       Value      0
#       Min        0
#       Max     3249
#       Fuzz       0
#       Flat       0
#       Resolution 31
#     Event code 54 (ABS_MT_POSITION_Y)
#       Value      0
#       Min        0
#       Max     2223
#       Fuzz       0
#       Flat       0
#       Resolution 30
#     Event code 57 (ABS_MT_TRACKING_ID)
#       Value      0
#       Min        0
#       Max    65535
#       Fuzz       0
#       Flat       0
#       Resolution 0
#     Event code 58 (ABS_MT_PRESSURE)
#       Value      0
#       Min        0
#       Max      255
#       Fuzz       0
#       Flat       0
#       Resolution 0
# Properties:
#   Property  type 0 (INPUT_PROP_POINTER)
#   Property  type 2 (INPUT_PROP_BUTTONPAD)
N: ETPS/2 Elantech Touchpad
I: 0011 0002 000e 0000
P: 05 00 00 00 00 00 00 00
B: 00 0b 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 01 00 00 00 00 00
B: 01 20 e4 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 01 00 00 00 00 00 00 00 00
B: 02 00 00 00 00 00 00 00 00
B: 03 03 00 00 11 00 80 61 06
B: 04 00 00 00 00 00 00 00 00
B: 05 00 00 00 00 00 00 00 00
B: 11 00 00 00 00 00 00 00 00
B: 12 00 00 00 00 00 00 00 00
B: 14 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
B: 15 00 00 00 00 00 00 00 00
A: 00 0 3249 0 0 31
A: 01 0 2223 0 0 30
A: 18 0 255 0 0 0
A: 1c 0 15 0 0 0
A: 2f 0 4 0 0 0
A: 30 0 2565 0 0 0
A: 35 0 3249 0 0 31
A: 36 0 2223 0 0 30
A: 39 0 65535 0 0 0
A: 3a 0 255 0 0 0
Comment 13 Arjon Bujupi 2016-03-15 17:40:33 EDT
I can not feel any difference because the sensitivity is fine on arch.
Comment 14 Peter Hutterer 2016-03-15 17:56:44 EDT
thanks, I'll get this upstream. arch uses a different input driver by default (xf86-input-synaptics, fedora already uses xf86-input-libinput) and the old synaptics driver doesn't use resolution for pointer acceleration. if you install the libinput driver on arch you'll see the same issues.
Comment 16 Mike McCune 2016-03-28 19:38:32 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 17 jiteshsingh 2016-04-14 15:44:11 EDT
i too have exactly the same problem. my model is asus k55vm-sx086d. i am using libinput over arch linux. i tried the fix you suggested. i also got 31/30 units for x/y. but, this has no effect on the sensitivity problem. i also tried https://lists.freedesktop.org/archives/wayland-devel/2016-January/026737.html, but no success.
Comment 18 Peter Hutterer 2016-04-15 02:00:39 EDT
please file a separate bug for that issue, may be something different. thanks
Comment 19 jiteshsingh 2016-04-15 04:10:19 EDT
I can assure you that it is the same bug, it has the same properties. In comments 13 & 14 I it is clear that at that time, synaptics driver was in use on arjonbu's arch linux, so there was no problem as synaptics already runs fine. Having displayed 31/30 units for x/y doesn't fix this problem, arjonbu hadn't verified it on the system that used libinput. It was just reported that 31/30 units were set, but no clearification about the sensitivity problem was done. I request you reconsider this problem because it hasn't been fixed. Thanks.
Comment 20 Riccardo Quercetti 2016-06-26 10:05:42 EDT
I'm getting the same issue on another laptop using elantech touchpads. The detected size is smaller than the real size and changing unit's doesn't help.
Obviously I've modified the first line of "/etc/udev/hwdb.d/99-touchpad-quirk.hwdb" with the one suggested after running the touchpad-edge-detector.

Is there any other check I should do?
Comment 21 Peter Hutterer 2016-06-28 23:38:17 EDT
Please file separate bugs for this issue, *especially* if it's on different laptops and different touchpads.
Comment 22 Arjon Bujupi 2016-09-23 15:03:29 EDT
This hasn't yet been fixed. I moved back to fedora and touchpad is unusable. Please look into it!
Comment 23 Andre Brait 2016-09-27 12:27:01 EDT
I can confirm this. It happens with pretty much any distro that uses libinput. Replacing it with the synaptics driver "fixes" the issue. Every distro that uses synaptics works ok, regardless of DE, etc. I tried Fedora 24 last night and it also displayed this horrendous behavior.

This bug has been reported in https://bugs.freedesktop.org/show_bug.cgi?id=97355 as well.

As quoted from my comment is the mentioned bug report.

Currently running Arch, using the latest libinput driver available. I've run into this with any distro that uses libinput by default.

The cursor is either too slow or too fast.

It's impossible to move it just a little bit. Any movement makes it run faster than it should. Reducing the acceleration to some negative number just makes it go slow on wide movements. On small, precise movements it's always too fast.

There's currently no support for some highly important settings present in the Synaptics driver, such as:

* FingerLow and FingerHigh pressure configuration, which can correct accidental clicks in several touchpads (it's impossible to work without setting those to a value higher than the default. The computers also displays erratic behavior on Windows but FingerLow and FingerHigh make it possible to fix this on Linux)
* Minimum cursor speed and maximum cursor speed: these are much more relatable to this bug and need to be implemented ASAP. The current lack of ability to set these values is what makes the touchpad feel extremely imprecise.

I can provide any kind of info that should be needed to fix this.
Comment 24 Andre Brait 2016-10-12 06:48:43 EDT
Some users reported upgradong to the xorg libinput 0.20 driver fixed this, but that didn't help for me. Only way I've found to get a reliable touchpad is to fall back to the synaptics drivers.
Comment 25 Fedora End Of Life 2016-11-24 11:01:01 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 26 Andre Brait 2016-11-28 04:39:26 EST
It happens in Fedora 24 and 25 as well. As of libinput 1.5.2 in Arch, I can confirm it's still very sensitive. It's the reason I keep going back to X.org using the synaptics drivers.

I can't change the version for some reason, though.
Comment 27 Fedora End Of Life 2017-11-16 14:15:46 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 28 Fedora End Of Life 2017-12-12 05:59:25 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.